| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkResourcesWrap::ResourceManagerWrapper Class Referencefinal

Wraps a nkResources::ResourceManager and offer functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static nkScripts::OutputValue | getWorkingPath (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getWorkingPathAbsolute (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getLaunchedPath (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getRelativeFromAbsolute (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getAbsoluteFromRelative (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getRelativeFromWorkingDir (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getAbsoluteFromWorkingDir (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getFromWorkingDirFromRelative (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getFromWorkingDirFromAbsolute (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | checkFileExists (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | checkFolderExists (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | loadFileIntoMemory (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | saveFileToDisk (const nkScripts::DataStack &stack)

## Detailed Description

Wraps a nkResources::ResourceManager and offer functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ getWorkingPath()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::getWorkingPath | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::getWorkingPath().

local d = nkResources.ResourceManager.getWorkingPath() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a string.

## ◆ getWorkingPathAbsolute()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::getWorkingPathAbsolute | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::getWorkingPathAbsolute().

local d = nkResources.ResourceManager.getWorkingPathAbsolute() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a string.

## ◆ getLaunchedPath()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::getLaunchedPath | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::getLaunchedPath().

local d = nkResources.ResourceManager.getLaunchedPath() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a string.

## ◆ getRelativeFromAbsolute()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::getRelativeFromAbsolute | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::getRelativeFromAbsolute().

local d = nkResources.ResourceManager.getRelativeFromAbsolute() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a string.

## ◆ getAbsoluteFromRelative()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::getAbsoluteFromRelative | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::getAbsoluteFromRelative().

local d = nkResources.ResourceManager.getAbsoluteFromRelative() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a string.

## ◆ getRelativeFromWorkingDir()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::getRelativeFromWorkingDir | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::getRelativeFromWorkingDir().

local d = nkResources.ResourceManager.getRelativeFromWorkingDir() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a string.

## ◆ getAbsoluteFromWorkingDir()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::getAbsoluteFromWorkingDir | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::getAbsoluteFromWorkingDir().

local d = nkResources.ResourceManager.getAbsoluteFromWorkingDir() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a string.

## ◆ getFromWorkingDirFromRelative()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::getFromWorkingDirFromRelative | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::getFromWorkingDirFromRelative().

local d = nkResources.ResourceManager.getFromWorkingDirFromRelative() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a string.

## ◆ getFromWorkingDirFromAbsolute()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::getFromWorkingDirFromAbsolute | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::getFromWorkingDirFromAbsolute().

local d = nkResources.ResourceManager.getFromWorkingDirFromAbsolute() ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a string.

## ◆ checkFileExists()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::checkFileExists | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::checkFileExists().

local d = nkResources.ResourceManager.checkFileExists("path") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a bool.

## ◆ checkFolderExists()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::checkFolderExists | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::checkFolderExists().

local d = nkResources.ResourceManager.checkFolderExists("path") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a bool.

## ◆ loadFileIntoMemory()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::loadFileIntoMemory | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::loadFileIntoMemory().

local d = nkResources.ResourceManager.loadFileIntoMemory("path") ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkAstraeus::UbyteArrayData.

## ◆ saveFileToDisk()

static nkScripts::OutputValue nkAstraeus::nkResourcesWrap::ResourceManagerWrapper::saveFileToDisk | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkResources::ResourceManager::saveFileToDisk().

local d = nkResources.ResourceManager.saveFileToDisk("path", dataView) ;

Parameters

  stack | The parameter stack.

Returns
  The output value, as a nkAstraeus::UbyteArrayData.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkResourcesWrap/ResourceManagerWrapper.h